Debian Bug report logs - #667906
transition: libffi6

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Matthias Klose <doko@debian.org>

Date: Sat, 7 Apr 2012 12:19:22 UTC

Severity: normal

Tags: wheezy-ignore

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://release.debian.org/transitions/html/libffi.html

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#667906; Package release.debian.org. (Sat, 07 Apr 2012 12:19:25 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 07 Apr 2012 12:19:40 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: transition: libffi
Date: Sat, 07 Apr 2012 13:39:45 +0200
Package: release.debian.org
User: release.debian.org@packages.debian.org
Usertags: transition
Tags: wheezy, sid
Severity: normal

There shouldn't be any new build failures with this transition (at least Ubuntu 
didn't see any).

A large number of binNMUs could be avoided if Haskell wouldn't hard code libffi 
dependencies in every haskell package (see #639015).

The transition should be done before the freeze for wheezy.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#667906; Package release.debian.org. (Sun, 10 Jun 2012 22:03:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 10 Jun 2012 22:03:19 GMT) Full text and rfc822 format available.

Message #10 received at 667906@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Matthias Klose <doko@debian.org>, 667906@bugs.debian.org
Subject: Re: Bug#667906: transition: libffi
Date: Sun, 10 Jun 2012 22:59:49 +0100
On Sat, 2012-04-07 at 13:39 +0200, Matthias Klose wrote:
> There shouldn't be any new build failures with this transition (at least Ubuntu 
> didn't see any).
> 
> A large number of binNMUs could be avoided if Haskell wouldn't hard code libffi 
> dependencies in every haskell package (see #639015).
> 
> The transition should be done before the freeze for wheezy.

Are there likely to be any issues if the transition migrated in stages -
i.e. if the new libffi including libffi6 and the old libffi5 binary
(kept around by britney) co-exist in testing - and rebuilt binaries
migrate as and when they're ready, rather than needing to have the
entire set ready at once?

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#667906; Package release.debian.org. (Sun, 10 Jun 2012 22:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 10 Jun 2012 22:33:03 GMT) Full text and rfc822 format available.

Message #15 received at 667906@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: 667906@bugs.debian.org
Cc: Matthias Klose <doko@debian.org>
Subject: Re: Bug#667906: transition: libffi
Date: Sun, 10 Jun 2012 23:29:37 +0100
On Sun, 2012-06-10 at 22:59 +0100, Adam D. Barratt wrote:
> Are there likely to be any issues if the transition migrated in stages -
> i.e. if the new libffi including libffi6 and the old libffi5 binary
> (kept around by britney) co-exist in testing - and rebuilt binaries
> migrate as and when they're ready, rather than needing to have the
> entire set ready at once?

To partly answer my own question, it looks like neither library includes
versioned symbols, so it could be an issue if both end up being loaded
by the same application.

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#667906; Package release.debian.org. (Tue, 12 Jun 2012 22:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 12 Jun 2012 22:39:03 GMT) Full text and rfc822 format available.

Message #20 received at 667906@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 667906@bugs.debian.org
Subject: Re: Bug#667906: transition: libffi
Date: Wed, 13 Jun 2012 00:36:29 +0200
On 11.06.2012 00:29, Adam D. Barratt wrote:
> On Sun, 2012-06-10 at 22:59 +0100, Adam D. Barratt wrote:
>> Are there likely to be any issues if the transition migrated in stages -
>> i.e. if the new libffi including libffi6 and the old libffi5 binary
>> (kept around by britney) co-exist in testing - and rebuilt binaries
>> migrate as and when they're ready, rather than needing to have the
>> entire set ready at once?
> 
> To partly answer my own question, it looks like neither library includes
> versioned symbols, so it could be an issue if both end up being loaded
> by the same application.

no, this should be safe. there are no ABI changes for existing functions. the
new version adds functions for variadic support, and removes some debug
functions. from my point of view, these should be able to coexist.

  Matthias




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#667906; Package release.debian.org. (Fri, 15 Jun 2012 13:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@dogguy.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 15 Jun 2012 13:21:05 GMT) Full text and rfc822 format available.

Message #25 received at 667906@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@dogguy.org>
To: Matthias Klose <doko@debian.org>, 667906@bugs.debian.org
Subject: Re: Bug#667906: transition: libffi
Date: Fri, 15 Jun 2012 15:19:30 +0200
tags 667906 - sid wheezy
tags 667906 + wheezy-ignore
thanks

On 13/06/2012 00:36, Matthias Klose wrote:
> On 11.06.2012 00:29, Adam D. Barratt wrote:
>> On Sun, 2012-06-10 at 22:59 +0100, Adam D. Barratt wrote:
>>> Are there likely to be any issues if the transition migrated in
>>> stages - i.e. if the new libffi including libffi6 and the old
>>> libffi5 binary (kept around by britney) co-exist in testing -
>>> and rebuilt binaries migrate as and when they're ready, rather
>>> than needing to have the entire set ready at once?
>>
>> To partly answer my own question, it looks like neither library
>> includes versioned symbols, so it could be an issue if both end up
>> being loaded by the same application.
>
> no, this should be safe. there are no ABI changes for existing
> functions. the new version adds functions for variadic support, and
> removes some debug functions. from my point of view, these should be
> able to coexist.
>

Even though this should be safe, it is really late now to start it and
we apologize we couldn't start it earlier (part of the reason was the
haskell transition itself). It doesn't look like we will be able to do
this transition in time for Wheezy (given the number of involved
packages). I've tagged this bug accordingly. But if you feel that there
is an important (very important) fix that we should have in wheezy,
please let us know.

Regards,

-- 
Mehdi Dogguy مهدي الدڤي
http://dogguy.org/




Removed tag(s) sid and wheezy. Request was from Mehdi Dogguy <mehdi@dogguy.org> to control@bugs.debian.org. (Fri, 15 Jun 2012 13:21:11 GMT) Full text and rfc822 format available.

Added tag(s) wheezy-ignore. Request was from Mehdi Dogguy <mehdi@dogguy.org> to control@bugs.debian.org. (Fri, 15 Jun 2012 13:21:12 GMT) Full text and rfc822 format available.

Changed Bug title to 'transition: libffi6' from 'transition: libffi' Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sun, 05 May 2013 16:51:10 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'http://release.debian.org/transitions/html/libffi.html'. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Mon, 06 May 2013 18:03:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#667906; Package release.debian.org. (Wed, 08 May 2013 14:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 08 May 2013 14:54:04 GMT) Full text and rfc822 format available.

Message #38 received at 667906@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Matthias Klose <doko@debian.org>, 667906@bugs.debian.org
Subject: Re: Bug#667906: transition: libffi
Date: Wed, 8 May 2013 16:50:03 +0200
[Message part 1 (text/plain, inline)]
Hi Matthias,

On Sat, Apr  7, 2012 at 13:39:45 +0200, Matthias Klose wrote:

> There shouldn't be any new build failures with this transition (at
> least Ubuntu didn't see any).
> 
> A large number of binNMUs could be avoided if Haskell wouldn't hard
> code libffi dependencies in every haskell package (see #639015).
> 
How does this interact with the current gcc changes?  It seems gcj-*
have a build-dep on libffi, but no runtime dep?  We should try to
coordinate with the haskell folks to make this not too painful...

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#667906; Package release.debian.org. (Wed, 08 May 2013 15:30:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 08 May 2013 15:30:09 GMT) Full text and rfc822 format available.

Message #43 received at 667906@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: Julien Cristau <jcristau@debian.org>
Cc: 667906@bugs.debian.org
Subject: Re: Bug#667906: transition: libffi
Date: Wed, 08 May 2013 17:26:47 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Am 08.05.2013 16:50, schrieb Julien Cristau:
> Hi Matthias,
> 
> On Sat, Apr  7, 2012 at 13:39:45 +0200, Matthias Klose wrote:
> 
>> There shouldn't be any new build failures with this transition (at least
>> Ubuntu didn't see any).
>> 
>> A large number of binNMUs could be avoided if Haskell wouldn't hard code
>> libffi dependencies in every haskell package (see #639015).
>> 
> How does this interact with the current gcc changes?  It seems gcj-* have a
> build-dep on libffi, but no runtime dep?  We should try to coordinate with
> the haskell folks to make this not too painful...

this is independent. the internal libffi is used for the gcc/gcj builds.

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)
Comment: Using GnuPG with undefined - http://www.enigmail.net/

iEYEARECAAYFAlGKbrcACgkQStlRaw+TLJzk/QCePUHfbBcJrcqOttHW+Fz2IIz8
t3oAmQGmOTf9DQ6oKiqypKxR6/K1E2+n
=s9KZ
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#667906; Package release.debian.org. (Wed, 08 May 2013 15:30:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 08 May 2013 15:30:19 GMT) Full text and rfc822 format available.

Message #48 received at 667906@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Matthias Klose <doko@debian.org>
Cc: 667906@bugs.debian.org
Subject: Re: Bug#667906: transition: libffi
Date: Wed, 8 May 2013 17:29:02 +0200
[Message part 1 (text/plain, inline)]
On Wed, May  8, 2013 at 17:26:47 +0200, Matthias Klose wrote:

> Am 08.05.2013 16:50, schrieb Julien Cristau:
> > Hi Matthias,
> > 
> > On Sat, Apr  7, 2012 at 13:39:45 +0200, Matthias Klose wrote:
> > 
> >> There shouldn't be any new build failures with this transition (at least
> >> Ubuntu didn't see any).
> >> 
> >> A large number of binNMUs could be avoided if Haskell wouldn't hard code
> >> libffi dependencies in every haskell package (see #639015).
> >> 
> > How does this interact with the current gcc changes?  It seems gcj-* have a
> > build-dep on libffi, but no runtime dep?  We should try to coordinate with
> > the haskell folks to make this not too painful...
> 
> this is independent. the internal libffi is used for the gcc/gcj builds.
> 
OK, then I have no objection to proceeding with libffi6 at this point.
I've asked the haskell people to hold off on their own transitions for
now.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Wed, 08 May 2013 15:36:11 GMT) Full text and rfc822 format available.

Reply sent to Matthias Klose <doko@debian.org>:
You have taken responsibility. (Wed, 08 May 2013 16:21:13 GMT) Full text and rfc822 format available.

Notification sent to Matthias Klose <doko@debian.org>:
Bug acknowledged by developer. (Wed, 08 May 2013 16:21:13 GMT) Full text and rfc822 format available.

Message #55 received at 667906-close@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 667906-close@bugs.debian.org
Subject: Bug#667906: fixed in libffi 3.0.13-3
Date: Wed, 08 May 2013 16:18:05 +0000
Source: libffi
Source-Version: 3.0.13-3

We believe that the bug you reported is fixed in the latest version of
libffi, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 667906@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matthias Klose <doko@debian.org> (supplier of updated libffi package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 08 May 2013 17:47:22 +0200
Source: libffi
Binary: libffi-dev lib32ffi-dev lib64ffi-dev libn32ffi-dev libffi6 lib32ffi6 lib64ffi6 libn32ffi6 libffi6-dbg libffi6-udeb
Architecture: source amd64
Version: 3.0.13-3
Distribution: unstable
Urgency: low
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Changed-By: Matthias Klose <doko@debian.org>
Description: 
 lib32ffi-dev - Foreign Function Interface library (development files, 32bit)
 lib32ffi6  - Foreign Function Interface library runtime (32bit)
 lib64ffi-dev - Foreign Function Interface library (development files, 64bit)
 lib64ffi6  - Foreign Function Interface library runtime (64bit)
 libffi-dev - Foreign Function Interface library (development files)
 libffi6    - Foreign Function Interface library runtime
 libffi6-dbg - Foreign Function Interface library runtime (debug symbols)
 libffi6-udeb - Foreign Function Interface library runtime (udeb)
 libn32ffi-dev - Foreign Function Interface library (development files, n32)
 libn32ffi6 - Foreign Function Interface library runtime (n32)
Closes: 667906
Changes: 
 libffi (3.0.13-3) unstable; urgency=low
 .
   * Upload to unstable. Closes: #667906.
   * Use multiarch tuples for the non-default biarch installs.
Checksums-Sha1: 
 ea64d27cdceba00bfef27a6ba4cd214f8d056b24 1619 libffi_3.0.13-3.dsc
 94c3183e6cbc4ef6b658e1e4cbd3c21fd9acc236 10501 libffi_3.0.13-3.debian.tar.gz
 195872bd01ce0ddc8a8dd184e485c960db462095 117146 libffi-dev_3.0.13-3_amd64.deb
 f9e9644df0e638cb5ee94e807153ea820566ad92 28520 lib32ffi-dev_3.0.13-3_amd64.deb
 f9512c0da98349aa0178c9d8fa4fd7924868572a 21616 libffi6_3.0.13-3_amd64.deb
 2d1002223339c8f22a9bdd0332be71bb365c8a38 18132 lib32ffi6_3.0.13-3_amd64.deb
 47b58b9fda964f0a7646ae88489b1cea2ee98922 38054 libffi6-dbg_3.0.13-3_amd64.deb
 b6b7b47c0910dd12e4752610ee931fa9f479cd56 14464 libffi6-udeb_3.0.13-3_amd64.udeb
Checksums-Sha256: 
 d782c7778b1384c0439ca7da061ec3549696b41d03795ac4af77f09b32473033 1619 libffi_3.0.13-3.dsc
 95ce7ed432bf1bb1664e60f833a6657794da7bbbf637b77bb34d331c3cd4abfb 10501 libffi_3.0.13-3.debian.tar.gz
 835789ae7ecfa444b3db1ec6ee261487b924b0c49cffab85e4b402b8122ff7dd 117146 libffi-dev_3.0.13-3_amd64.deb
 eb875bf3c561c7bc78239b2c647ce195a9f182de689d4ac07ed5c9dcc07f1f10 28520 lib32ffi-dev_3.0.13-3_amd64.deb
 f83681e44dbbfe58ee0218fe59006f825a977b8dcbdb36c0adf2e98e91d0bf31 21616 libffi6_3.0.13-3_amd64.deb
 e98f79eeb10bdab5ba968adb4ef68d3cf78be729364557461f1dc3163f015cf9 18132 lib32ffi6_3.0.13-3_amd64.deb
 eff2cc5f54a9911bb7c392cddec6aad6e87541ae9f5c753e0eeb41200fe61cd9 38054 libffi6-dbg_3.0.13-3_amd64.deb
 c819e3d626a04443b61605e9c70688b2c56d5f18d9d0123206f8be09591ab2fa 14464 libffi6-udeb_3.0.13-3_amd64.udeb
Files: 
 8d1d60d66ae18293aff98ea2272107d6 1619 libs optional libffi_3.0.13-3.dsc
 6f3a95f332976b261756b8ea412a716f 10501 libs optional libffi_3.0.13-3.debian.tar.gz
 84d99d9f0d0d3915bde35626033a64c6 117146 libdevel optional libffi-dev_3.0.13-3_amd64.deb
 6760a0bbfceacb7dd666cdaa2eda9752 28520 libdevel extra lib32ffi-dev_3.0.13-3_amd64.deb
 3531763df898986ff1e78c939adffa5a 21616 libs optional libffi6_3.0.13-3_amd64.deb
 3df252073f68b65b33b83d67a7022797 18132 libs extra lib32ffi6_3.0.13-3_amd64.deb
 6aeddbf01ce750fd9918884ca35dd3f4 38054 debug extra libffi6-dbg_3.0.13-3_amd64.deb
 1d90174ef64d761870c435cac6db9f55 14464 debian-installer optional libffi6-udeb_3.0.13-3_amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlGKeLkACgkQStlRaw+TLJyxmgCgw11ka42GYNUECPgSr5ErDMY+
y08An055PIGJ68GblRkSy7wX3BZhQAXl
=t1Hp
-----END PGP SIGNATURE-----




Bug reopened Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. (Wed, 08 May 2013 16:27:07 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions libffi/3.0.13-3. Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. (Wed, 08 May 2013 16:27:07 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Wed, 08 May 2013 16:33:03 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 667906: 707164, 701393, 707399, 701397, 707509, and 707441 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 09 May 2013 12:48:07 GMT) Full text and rfc822 format available.

Removed blocking bug(s) of 667906: 707164 Request was from Stefano Rivera <stefanor@debian.org> to 707164-submit@bugs.debian.org. (Fri, 10 May 2013 00:39:21 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 667906: 707797 Request was from Julien Cristau <jcristau@debian.org> to submit@bugs.debian.org. (Sat, 11 May 2013 11:06:06 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 667906: 705067 and 707440 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sun, 12 May 2013 17:06:04 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 667906: 707361 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sun, 12 May 2013 17:27:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#667906; Package release.debian.org. (Mon, 13 May 2013 15:21:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 13 May 2013 15:21:09 GMT) Full text and rfc822 format available.

Message #76 received at 667906@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: 667906@bugs.debian.org
Subject: Re: transition: libffi6
Date: Mon, 13 May 2013 17:18:17 +0200
[Message part 1 (text/plain, inline)]
Hi,

just wondering if we can help with the Debian side of this transition. I
guess that all Haskell packages need to be rebuild in unstable. If you
want, I can schedule the binNMUs and take care of any build failures. Or
are you waiting with rebuilding Haskell for a reason?

Greetings,
Joachim


-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#667906; Package release.debian.org. (Mon, 13 May 2013 15:36:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 13 May 2013 15:36:08 GMT) Full text and rfc822 format available.

Message #81 received at 667906@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Joachim Breitner <nomeata@debian.org>, 667906@bugs.debian.org
Subject: Re: Bug#667906: transition: libffi6
Date: Mon, 13 May 2013 17:34:13 +0200
[Message part 1 (text/plain, inline)]
On Mon, May 13, 2013 at 17:18:17 +0200, Joachim Breitner wrote:

> Hi,
> 
> just wondering if we can help with the Debian side of this transition. I
> guess that all Haskell packages need to be rebuild in unstable. If you
> want, I can schedule the binNMUs and take care of any build failures. Or
> are you waiting with rebuilding Haskell for a reason?
> 
I'm probably going to push libffi through without waiting for all of the
haskell world to be rebuilt, and I don't want to DoS the buildds in the
meantime.  So please don't touch these for now.

Thanks,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#667906; Package release.debian.org. (Wed, 15 May 2013 09:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 15 May 2013 09:27:04 GMT) Full text and rfc822 format available.

Message #86 received at 667906@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: Joachim Breitner <nomeata@debian.org>, 667906@bugs.debian.org
Subject: Re: Bug#667906: transition: libffi6
Date: Wed, 15 May 2013 11:24:08 +0200
Am 13.05.2013 17:18, schrieb Joachim Breitner:
> Hi,
> 
> just wondering if we can help with the Debian side of this transition. I 
> guess that all Haskell packages need to be rebuild in unstable. If you 
> want, I can schedule the binNMUs and take care of any build failures. Or 
> are you waiting with rebuilding Haskell for a reason?

you could help by finally addressing #639015. These dependencies are wrong in
the first place.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#667906; Package release.debian.org. (Wed, 15 May 2013 09:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 15 May 2013 09:33:04 GMT) Full text and rfc822 format available.

Message #91 received at 667906@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: Matthias Klose <doko@debian.org>
Cc: 667906@bugs.debian.org
Subject: Re: Bug#667906: transition: libffi6
Date: Wed, 15 May 2013 11:29:28 +0200
[Message part 1 (text/plain, inline)]
Hi,

Am Mittwoch, den 15.05.2013, 11:24 +0200 schrieb Matthias Klose:
> Am 13.05.2013 17:18, schrieb Joachim Breitner:
> > Hi,
> > 
> > just wondering if we can help with the Debian side of this transition. I 
> > guess that all Haskell packages need to be rebuild in unstable. If you 
> > want, I can schedule the binNMUs and take care of any build failures. Or 
> > are you waiting with rebuilding Haskell for a reason?
> 
> you could help by finally addressing #639015. These dependencies are wrong in
> the first place.

I’m not sure what there is left to be done: The authors of GHC have
indicated that it possibly unsafe to remove these dependencies¹, and the
risk of broken packages at our users installation clearly outweigh the
nuisance of having a bunch of buildds churn on the packages.

¹ http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=639015#57

Greetings,
Joachim

-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#667906; Package release.debian.org. (Wed, 15 May 2013 09:54:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 15 May 2013 09:54:13 GMT) Full text and rfc822 format available.

Message #96 received at 667906@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: Joachim Breitner <nomeata@debian.org>, 667906@bugs.debian.org
Cc: Matthias Klose <doko@debian.org>
Subject: Re: Bug#667906: transition: libffi6
Date: Wed, 15 May 2013 11:53:23 +0200
Am 15.05.2013 11:29, schrieb Joachim Breitner:
> Hi,
> 
> Am Mittwoch, den 15.05.2013, 11:24 +0200 schrieb Matthias Klose:
>> Am 13.05.2013 17:18, schrieb Joachim Breitner:
>>> Hi,
>>> 
>>> just wondering if we can help with the Debian side of this transition.
>>> I guess that all Haskell packages need to be rebuild in unstable. If
>>> you want, I can schedule the binNMUs and take care of any build
>>> failures. Or are you waiting with rebuilding Haskell for a reason?
>> 
>> you could help by finally addressing #639015. These dependencies are
>> wrong in the first place.
> 
> I’m not sure what there is left to be done: The authors of GHC have 
> indicated that it possibly unsafe to remove these dependencies¹, and the 
> risk of broken packages at our users installation clearly outweigh the 
> nuisance of having a bunch of buildds churn on the packages.
> 
> ¹ http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=639015#57

So you burden Debian with extra work without knowing whether this extra work
is needed or not.  You claim to throw broken packages at your users, but you
really don't know.  It is not just buildd time, it's man power involved with
such rebuilds, and getting it rebuilt on all architectures it did build before.

Please could you come up with a concrete example what exactly would be broken
in a haskell library package not itself using libffi?

  Matthias






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#667906; Package release.debian.org. (Wed, 15 May 2013 21:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 15 May 2013 21:51:04 GMT) Full text and rfc822 format available.

Message #101 received at 667906@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: Matthias Klose <doko@debian.org>
Cc: 667906@bugs.debian.org
Subject: Re: Bug#667906: transition: libffi6
Date: Wed, 15 May 2013 23:47:30 +0200
[Message part 1 (text/plain, inline)]
Hi,

Am Mittwoch, den 15.05.2013, 11:53 +0200 schrieb Matthias Klose:
> Am 15.05.2013 11:29, schrieb Joachim Breitner:
> > I’m not sure what there is left to be done: The authors of GHC have 
> > indicated that it possibly unsafe to remove these dependencies¹, and the 
> > risk of broken packages at our users installation clearly outweigh the 
> > nuisance of having a bunch of buildds churn on the packages.
> > 
> > ¹ http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=639015#57
> 
> So you burden Debian with extra work without knowing whether this extra work
> is needed or not.  You claim to throw broken packages at your users, but you
> really don't know.  It is not just buildd time, it's man power involved with
> such rebuilds, and getting it rebuilt on all architectures it did build before.

what manpower? If its just scheduling binNMUs, then this is something we
have to do regularly for Haskell, and I offered help with that.
Otherwise, as far as I know, rebuilds in Debian are, once scheduled,
fully automated by now.


But I asked more GHC wizards about the issue and at least this one
expects no issues:

<nomeata> Hi. I need some advice with http://bugs.debian.org/639015. The
question is: Do haskell libraries need to be recompiled if the GHC (and
hence the RTS) are being built against a new ABI version of libffi?
<nomeata> There is some push to remove the dependency on libffi from the
indivudial libghc-foo-dev packages to reduce the number of rebuilds, but
I’m worried that it might byte us in the end.
<dcoutts> mm, interesting question
<dcoutts> nomeata: I would expect that the libffi api is not exposed
from the rts, so it should not propagate further
<dcoutts> but would want to check that
<dcoutts> nomeata: rebuilding ghc should give you core packages with all
the same ABI hashes as before
<nomeata> I was also wondering: Does GHC use the ffi in any way while
generating code? I could imagine that it uses libffi to get information
about c datatype sizes or ffi internas that are then baked in to the
code.
<dcoutts> nomeata: I don't see why individual haskell libraries would
need to depend on libffi directly
<dcoutts> nomeata: not that I'm aware of
<dcoutts> I think it's only runtime
<nomeata> ok, that would be good.
<dcoutts> nomeata: but I recommend you get a second opinion on all this
from Igloo
<nomeata> I got one from Simon Marlow which is more on the negative
side, although I am not sure that I explained the issue well:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=639015#57
<nomeata> (may I store this conversion in the bug tracker?)
<dcoutts> nomeata: I think Simon is assuming that ghc does not get
rebuilt
<dcoutts> but I think you're saying, rebuild ghc but don't rebuild other
libs
<dcoutts> effectively, you're expecting that the only thing that changes
in the new ghc build is the rts
<dcoutts> and all the libs that link to the rts would not change
<dcoutts> nomeata: yes you can record this conversation
<dcoutts> can/may

The next problem is that your patch at
http://launchpadlibrarian.net/78632067/haskell-devscripts_0.8.7%2Breally0.8.5_0.8.7%2Breally0.8.5ubuntu1.diff.gz
does quite do what it should do:
         $(nm -u $T_DIR/a.o | grep 'U ffi_' | wc -l)
is always going to be 0, independently of whether the package in
question does directly use a foreign function whose name starts with
ffi_, because a.o is just the compilation of a.hs, which is essentially
"main = return ()" and has no relation to the package in question.

One could simply and unconditionally remove the dependency on libffi
from the substvars file, or more cleanly using the -x parameter to
dpkg-shlibdeps. But I guess this will break if haskell bindings to
libffi are packages. We do not do that yet, but maybe we (or someone
else relying on haskell-devscripts) does, so this seems to be a hack
below Debian's standards.

The cleanest solution I can think of is to start building dynamic
libraries as well, as these can be checked by dpkg-shlibdeps for
symbols, so there is no need to build the „test binary“ that pulls in
the rts and dpkg-shlibdeps produces exact results.

But packaging dynamic haskell would be a pretty large can of new worms
and it is not clear when Debian will open it.

Conclusion: No good solution in sight, but hacks would be possible,
although obviously too late for libffi6. I’d still just rebuild the
package and stop worrying – does libffi really get ABI bumps that often?
If there is a GHC upgrade near the libffi bump then all haskell packages
have to be rebuild anyways.

Greetings,
Joachim

-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata

[signature.asc (application/pgp-signature, inline)]

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Fri, 24 Jan 2014 07:15:05 GMT) Full text and rfc822 format available.

Notification sent to Matthias Klose <doko@debian.org>:
Bug acknowledged by developer. (Fri, 24 Jan 2014 07:15:05 GMT) Full text and rfc822 format available.

Message #106 received at 667906-done@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Matthias Klose <doko@debian.org>, 667906-done@bugs.debian.org
Subject: Re: Bug#667906: transition: libffi
Date: Fri, 24 Jan 2014 08:13:23 +0100
[Message part 1 (text/plain, inline)]
On Sat, Apr  7, 2012 at 13:39:45 +0200, Matthias Klose wrote:

> Package: release.debian.org
> User: release.debian.org@packages.debian.org
> Usertags: transition
> Tags: wheezy, sid
> Severity: normal
> 
> There shouldn't be any new build failures with this transition (at
> least Ubuntu didn't see any).
> 
Finally, libffi5 is gone from sid and testing as of a couple days ago.
Closing.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 21 Feb 2014 07:26:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 21:36:20 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.